Get Program Details

Prev Next
Get
/publishers/{publisherId}/programmedetails

GET programmedetails

Publishers get a set of KPIs of the programmes they are working with, along with the programme description, the trackingTransparency property and range of commission (across commission groups) they get in the programmes.

Who can use it

Publishers 

Header parameters
Authorization
string

accessToken

Path parameters
publisherId
integer (int64) Required

publisherId

Query parameters
accessToken
stringRequired

access token

advertiserId
integer (int64) Required

advertiserId

relationship
string

relationship

Valid values[ "joined", "pending", "suspended", "rejected", "notjoined", "any" ]
Default"joined"
Responses
200

OK

Expand All
object
commissionRange
Array of object (CommissionGroupRange)
object
max
number (double)
min
number (double)
type
string
kpi
object (Kpi)
approvalPercentage
number (double)
averagePaymentTime
string
awinIndex
number (double)
conversionRate
number (double)
epc
number (double)
validationDays
integer (int32)
programmeInfo
object (ProgrammeDetailsInfo)
clickThroughUrl
string
currencyCode
string
deeplinkEnabled
boolean
description
string
displayUrl
string
id
integer (int64)
logoUrl
string
membershipStatus
string
name
string
primaryRegion
object (PrimaryRegion)
countryCode
string
name
string
primarySector
string
validDomains
Array of object (Domain)
object
domain
string

Which data fields do we provide

programmeInfo object:

field name

description

id

ID of the programme

name

name of the programme

displayUrl

URL of the advertiser

clickThroughUrl

advertiser programme click-through URL

deeplinkEnabled

boolean value indicating if the advertiser has deeplink enabled

description

programme description

membershipStatus

membership status between publisher and advertiser programme. Can be Joined, Pending, Suspended, Rejected and Notjoined

logoUrl

URL to the logo of the programme

primaryRegion

object that contains the name and the countryCode of the primary programme region

validDomains

an object that contains domains from which the advertiser accepts transaction

currencyCode

ISO code of the currency of the programme

linkStatus

current status of links, which can be either "online" or "offline" - this applies only to programs that are funded through prepayment funds

trackingTransparency

array listing the tracking methods that are currently available for this program. Can return one or multiple of the following values: "Client-Side Tag","Server-to-Server","App Tracking","Voucher Code Attribution", "Deferred Click Measurement"

kpi object:

field name

description

averagePaymentTime

publisher

approvalPercentage

the approval percentage relates to the proportion of pending transactions which are then validated as approved

epc

earnings per click

conversionRate

the conversion rate is the total number of sales divided by the total number of clicks

validationDays

the validation period represents the average amount of time an advertiser takes to validate pending transactions as either Approved or Declined

awinIndex

a score out of hundred, calculated from an algorithm of EPC, approval percentage, conversion rate and validation period

commissionRange object:

field name

description

min

minimal commission across commission groups, either in percent or amount

max

maximum commission across commission groups, either in percent or amount

type

percentage or amount; for amount the value is in the currency of the programme (see programmeInfo object)